import * as i0 from '@angular/core';
import { EventEmitter, inject, ViewContainerRef, Component, Output, HostListener, Pipe, Input, ViewChild } from '@angular/core';
import * as i1 from '@fortawesome/angular-fontawesome';
import { FontAwesomeModule } from '@fortawesome/angular-fontawesome';
import { faFile, faUser, faMessage as faMessage$1, faThumbsUp } from '@fortawesome/free-regular-svg-icons';
import { faHighlighter, faMessage, faTag, faUserTag, faSliders, faBookOpenReader, faQuoteRight, faArrowTrendUp, faTrash } from '@fortawesome/free-solid-svg-icons';
import * as i3 from 'ng2-pdf-viewer';
import { PdfViewerComponent, PdfViewerModule } from 'ng2-pdf-viewer';
import { v4 } from 'uuid';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i5 from '@angular/forms';
import { FormsModule } from '@angular/forms';
import * as i6 from 'angular-split';
import { AngularSplitModule } from 'angular-split';
import * as i7 from '@ng-bootstrap/ng-bootstrap';
import { NgbNavModule, NgbTooltipModule } from '@ng-bootstrap/ng-bootstrap';
import * as i1$1 from '@angular/router';

class TextOptionsComponent {
    constructor() {
        this.highlightClicked = new EventEmitter();
        this.tagClicked = new EventEmitter();
        this.privateTagClicked = new EventEmitter();
        this.commentClicked = new EventEmitter();
        this.removeRequested = new EventEmitter();
        this.selectedText = '';
        this.vcr = inject(ViewContainerRef);
        this.I = {
            faHighlighter,
            faMessage,
            faTag,
            faUserTag,
        };
    }
    onMouseUp() {
        const selectedText = window.getSelection()?.toString().trim();
        if (selectedText) {
            this.selectedText = selectedText;
        }
    }
    onHighlightClicked() {
        this.highlightClicked.emit();
        this.removeRequested.emit();
    }
    onTagClicked() {
        this.tagClicked.emit();
        this.removeRequested.emit();
    }
    onPrivateTagClicked() {
        this.privateTagClicked.emit();
        this.removeRequested.emit();
    }
    onCommentClicked() {
        this.commentClicked.emit();
        this.removeRequested.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TextOptionsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: TextOptionsComponent, isStandalone: true, selector: "mo-dynamic", outputs: { highlightClicked: "highlightClicked", tagClicked: "tagClicked", privateTagClicked: "privateTagClicked", commentClicked: "commentClicked", removeRequested: "removeRequested" }, host: { listeners: { "window:mouseup": "onMouseUp()" } }, ngImport: i0, template: "<div\n  class=\"btn-group\"\n  id=\"btnGroup\"\n  [style]=\"selectedText ? { display: 'block' } : { display: 'none' }\"\n>\n  <button\n    type=\"button\"\n    title=\"Highlight\"\n    class=\"btn btn-sm btn-secondary\"\n    (click)=\"onHighlightClicked()\"\n  >\n    <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faHighlighter\"></fa-icon>\n  </button>\n\n  <button\n    type=\"button\"\n    title=\"Tag\"\n    class=\"btn btn-sm btn-secondary\"\n    (click)=\"onTagClicked()\"\n  >\n    <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faTag\"></fa-icon>\n  </button>\n\n  <button\n    type=\"button\"\n    title=\"Comment\"\n    class=\"btn btn-sm btn-secondary\"\n    (click)=\"onCommentClicked()\"\n  >\n    <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faMessage\"></fa-icon>\n  </button>\n</div>\n", dependencies: [{ kind: "ngmodule", type: FontAwesomeModule }, { kind: "component", type: i1.FaIconComponent, selector: "fa-icon", inputs: ["icon", "title", "animation", "spin", "pulse", "mask", "styles", "flip", "size", "pull", "border", "inverse", "symbol", "rotate", "fixedWidth", "classes", "transform", "a11yRole"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: TextOptionsComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'mo-dynamic', imports: [FontAwesomeModule], template: "<div\n  class=\"btn-group\"\n  id=\"btnGroup\"\n  [style]=\"selectedText ? { display: 'block' } : { display: 'none' }\"\n>\n  <button\n    type=\"button\"\n    title=\"Highlight\"\n    class=\"btn btn-sm btn-secondary\"\n    (click)=\"onHighlightClicked()\"\n  >\n    <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faHighlighter\"></fa-icon>\n  </button>\n\n  <button\n    type=\"button\"\n    title=\"Tag\"\n    class=\"btn btn-sm btn-secondary\"\n    (click)=\"onTagClicked()\"\n  >\n    <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faTag\"></fa-icon>\n  </button>\n\n  <button\n    type=\"button\"\n    title=\"Comment\"\n    class=\"btn btn-sm btn-secondary\"\n    (click)=\"onCommentClicked()\"\n  >\n    <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faMessage\"></fa-icon>\n  </button>\n</div>\n" }]
        }], propDecorators: { highlightClicked: [{
                type: Output
            }], tagClicked: [{
                type: Output
            }], privateTagClicked: [{
                type: Output
            }], commentClicked: [{
                type: Output
            }], removeRequested: [{
                type: Output
            }], onMouseUp: [{
                type: HostListener,
                args: ['window:mouseup']
            }] } });

function multiCriteriaRegex(criteria, separator) {
    const words = criteria.split(separator).join('|');
    return new RegExp(words, 'gi');
}

class HighlightPipe {
    transform(content, criteria) {
        if (!content || !criteria) {
            return content;
        }
        const regex = multiCriteriaRegex(criteria, ' ');
        return content.replace(regex, match => {
            return `<span class="match-highlight">${match}</span>`;
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: HighlightPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: HighlightPipe, name: "highlight" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: HighlightPipe, decorators: [{
            type: Pipe,
            args: [{ name: 'highlight' }]
        }] });

const RIGHT_PANE = 'right_pane';
const COMMENT_PANE_NAV = 'comment';
const TAG_PANE_NAV = 'tag';
const HIGHLIGHT_PANE_NAV = 'highlight';
const RIGHT_PANE_NAV = {
    [COMMENT_PANE_NAV]: {
        id: COMMENT_PANE_NAV,
        label: 'Comments',
        background: '',
        foreground: ''
    },
    [TAG_PANE_NAV]: {
        id: TAG_PANE_NAV,
        label: 'Tags',
        background: '',
        foreground: ''
    },
    [HIGHLIGHT_PANE_NAV]: {
        id: HIGHLIGHT_PANE_NAV,
        label: 'Highlights',
        background: '',
        foreground: ''
    }
};

class MoPdfViewerComponent {
    constructor(router, route, viewContainerRef, elementRef) {
        this.router = router;
        this.route = route;
        this.viewContainerRef = viewContainerRef;
        this.elementRef = elementRef;
        this.pdfSrc = '';
        this.documentTitle = '';
        this.documentClassification = 'Unclassified';
        this.documentAuthor = '';
        this.minimalView = false;
        this.currentSearchIndex = 1;
        this.totalMatchesCount = 0;
        this.I = {
            faFile,
            faUser,
            faSliders,
            faBookOpenReader,
            faMessage: faMessage$1,
            faQuoteRight,
            faArrowTrendUp,
            faThumbsUp,
            faTag,
            faTrash,
            faHighlighter,
        };
        this.searchText = '';
        this.results = [
            {
                label: 'Source Name And Results',
            },
            {
                label: 'Source Name And Results',
            },
            {
                label: 'Source Name And Results',
            },
            {
                label: 'Source Name And Results',
            },
        ];
        this.comments = [];
        this.spanCommentsMap = new Map();
        this.highlights = [];
        this.spanHighlightsMap = new Map();
        this.tags = [];
        this.spanTagMap = new Map();
        this.searchCategories = [
            {
                label: 'Highlights',
                icon: faHighlighter,
            },
            {
                label: 'Tags',
                icon: faTag,
            },
            {
                label: 'Comments',
                icon: faMessage$1,
            },
        ];
        this.navs = Object.values(RIGHT_PANE_NAV);
        this.activeNav = this.navs[0];
        this.closePane = new EventEmitter();
        this.activeNavChange = new EventEmitter();
        this.selectedSearchCategory = 'Highlights';
        this.page = 1;
        this.highlightPipe = new HighlightPipe();
        this.componentRefs = [];
        this.dropdownVisible = {};
    }
    afterLoadComplete() {
        const queryParams = this.route.snapshot.queryParams;
        if (queryParams['page']) {
            this.page = queryParams['page'];
        }
    }
    selectSearchCategory(category) {
        this.selectedSearchCategory = category;
    }
    onKeyUp(event) {
        if (event.key === 'Enter') {
            this.searchDown(this.searchText);
        }
        else {
            this.search(this.searchText);
        }
    }
    search(stringToSearch) {
        this.currentSearchIndex = 1;
        if (this.currentSearchIndex > 1) {
            this.currentSearchIndex--;
        }
        this.pdfComponent.eventBus.dispatch('find', {
            query: stringToSearch,
            type: 'again',
            caseSensitive: false,
            findPrevious: false,
            highlightAll: true,
            phraseSearch: true,
        });
        this.pdfComponent.eventBus.on('updatefindmatchescount', (event) => {
            this.totalMatchesCount = event.matchesCount.total;
            const searchResultsDiv = document.getElementById('my-auto_count');
            if (searchResultsDiv) {
                searchResultsDiv.innerText = `${this.currentSearchIndex}/${this.totalMatchesCount}`;
            }
        });
    }
    searchUp(stringToSearch) {
        if (this.currentSearchIndex > 1) {
            this.currentSearchIndex--;
        }
        else if (this.currentSearchIndex === 1) {
            this.currentSearchIndex = this.totalMatchesCount;
        }
        this.updateSearch(stringToSearch, true);
        const searchResultsDiv = document.getElementById('my-auto_count');
        if (searchResultsDiv) {
            searchResultsDiv.innerText = `${this.currentSearchIndex}/${this.totalMatchesCount}`;
        }
    }
    searchDown(stringToSearch) {
        if (this.currentSearchIndex < this.totalMatchesCount) {
            this.currentSearchIndex++;
        }
        else if (this.currentSearchIndex === this.totalMatchesCount) {
            this.currentSearchIndex = 1;
        }
        this.updateSearch(stringToSearch, false);
        const searchResultsDiv = document.getElementById('my-auto_count');
        if (searchResultsDiv) {
            searchResultsDiv.innerText = `${this.currentSearchIndex}/${this.totalMatchesCount}`;
        }
    }
    updateSearch(stringToSearch, findPrevious) {
        this.pdfComponent.eventBus.dispatch('find', {
            query: stringToSearch,
            type: 'again',
            caseSensitive: false,
            findPrevious: findPrevious,
            highlightAll: true,
            phraseSearch: true,
        });
    }
    submitComment(comment, submitButton) {
        comment.editMode = false;
        submitButton.setAttribute('disabled', 'true');
    }
    enableSubmitButton(comment, submitButton) {
        const textAreaValue = comment.comment && comment.comment.trim().length > 0;
        if (submitButton) {
            if (textAreaValue) {
                submitButton.removeAttribute('disabled');
                submitButton.style.background = '#545050';
            }
            else {
                submitButton.setAttribute('disabled', 'true');
            }
        }
    }
    editComment(comment) {
        comment.editMode = true;
    }
    closeSource() {
        this.router.navigate(['sources']);
    }
    showOptions(event) {
        if (event.composedPath().find((e) => {
            return this.componentRefs.find((e2) => e === e2.location.nativeElement);
        })) {
            return;
        }
        this.deleteAllComponentRef();
        const target = event.target;
        if (!this.minimalView) {
            const page = target.parentElement;
            const left = event.clientX - page.getBoundingClientRect().left;
            const top = event.clientY - page.getBoundingClientRect().top;
            const dynamicComponent = this.viewContainerRef.createComponent(TextOptionsComponent);
            dynamicComponent.location.nativeElement.style.top = `${top}px`;
            dynamicComponent.location.nativeElement.style.left = `${left}px`;
            dynamicComponent.location.nativeElement.classList.add('position-absolute');
            target.parentElement?.parentElement?.insertAdjacentElement('beforeend', dynamicComponent.location.nativeElement);
            this.componentRefs.push(dynamicComponent);
            dynamicComponent.instance.highlightClicked.subscribe(this.setClassesForHighlights.bind(this));
            dynamicComponent.instance.tagClicked.subscribe(this.setClassesForTags.bind(this));
            dynamicComponent.instance.privateTagClicked.subscribe(this.setClassesForTags.bind(this));
            dynamicComponent.instance.commentClicked.subscribe(this.setClassesForComments.bind(this));
            dynamicComponent.instance.removeRequested.subscribe(this.deleteAllComponentRef.bind(this));
        }
    }
    setClassesForComments() {
        const selection = window?.getSelection();
        if (!selection) {
            return;
        }
        const text = selection?.toString();
        const comment = {
            id: v4(),
            spanLocations: [],
            comment: '',
            text,
            editMode: true,
        };
        this.setClassesForItem(comment, this.comments, 'match-comment', this.spanCommentsMap, selection);
    }
    setClassesForHighlights() {
        const selection = window?.getSelection();
        if (!selection)
            return;
        const text = selection?.toString();
        const highlight = {
            id: v4(),
            spanLocations: [],
            text,
        };
        this.setClassesForItem(highlight, this.highlights, 'match-highlight', this.spanHighlightsMap, selection);
    }
    setClassesForTags() {
        const selection = window?.getSelection();
        if (!selection)
            return;
        const text = selection?.toString();
        const tagSelection = {
            id: v4(),
            spanLocations: [],
            text,
            tags: [],
        };
        this.setClassesForItem(tagSelection, this.tags, 'match-tag', this.spanTagMap, selection);
    }
    deleteAllComponentRef() {
        this.componentRefs.forEach((ref) => {
            ref.destroy();
        });
        this.componentRefs = [];
    }
    findRangeSections(selection) {
        const range = selection?.getRangeAt(0);
        const rangeClone = range?.cloneRange();
        let locations = [];
        if (rangeClone) {
            const startLocation = this.getSpanLocation(rangeClone?.startContainer);
            const endLocation = this.getSpanLocation(rangeClone?.endContainer);
            locations = this.getInterveningLocations(startLocation, endLocation);
            if (locations.length > 0) {
                locations[0].startOffset = selection?.anchorOffset;
                locations[locations.length - 1].endOffset = selection?.focusOffset;
            }
        }
        return locations;
    }
    getFirstPage(selection) {
        return selection.spanLocations.length > 0
            ? selection.spanLocations[0].pageNumber
            : null;
    }
    getFirstSpan(selection) {
        return selection.spanLocations.length > 0
            ? selection.spanLocations[0].spanIndex
            : null;
    }
    removeHighlight(highlight) {
        const index = this.highlights.findIndex((c) => c.id === highlight.id);
        if (index > -1) {
            this.highlights.splice(index, 1);
        }
        this.removeSelection(highlight, 'match-highlight', highlight.id, this.spanHighlightsMap);
    }
    setClassesForItem(item, list, htmlClass, selectionMap, selection) {
        const locations = this.findRangeSections(selection);
        if (locations.length < 1) {
            return;
        }
        item.spanLocations.push(...locations);
        list.push(item);
        for (const location of locations) {
            this.setSpanClassFromLocationMapped(location, htmlClass, item.id, selectionMap);
        }
        list.sort(this.sortSelection.bind(this));
    }
    sortSelection(a, b) {
        const res = (this.getFirstPage(a) ?? 0) - (this.getFirstPage(b) ?? 0);
        if (res === 0) {
            return (this.getFirstSpan(a) ?? 0) - (this.getFirstSpan(b) ?? 0);
        }
        return res;
    }
    removeComment(comment) {
        const index = this.comments.findIndex((c) => c.id === comment.id);
        if (index > -1) {
            this.comments.splice(index, 1);
        }
        this.removeSelection(comment, 'match-comment', comment.id, this.spanCommentsMap);
    }
    goToSelection(selection) {
        this.selectSelection(selection);
        if (selection.spanLocations.length > 0) {
            const span = this.getSpanFromLocation(selection.spanLocations[0]);
            if (span) {
                const scrollIntoViewOptions = {
                    block: 'center',
                    inline: 'center',
                };
                span.scrollIntoView(scrollIntoViewOptions);
            }
        }
    }
    selectSelection(selection) {
        document.querySelectorAll('span.match-active').forEach((s) => {
            s.classList.remove('match-active');
        });
        for (const location of selection.spanLocations) {
            this.setSpanClassFromLocation(location, 'match-active');
        }
    }
    removeSelection(selection, htmlClass, selectionId, selectionMap) {
        for (const location of selection.spanLocations) {
            this.removeSpanClassFromLocation(location, htmlClass, selectionId, selectionMap);
        }
    }
    removeTag(tag) {
        const index = this.tags.findIndex((c) => c.id === tag.id);
        if (index > -1) {
            this.tags.splice(index, 1);
        }
        this.removeSelection(tag, 'match-tag', tag.id, this.spanTagMap);
    }
    getSpanFromLocation(location) {
        const textLayer = this.getTextLayerFromLocation(location.pageNumber);
        if (textLayer && location.spanIndex > -1) {
            const spans = Array.from(textLayer?.querySelectorAll('span:not(.inner-span)'));
            return spans[location.spanIndex];
        }
        return null;
    }
    setSpanClassFromLocationMapped(location, htmlClass, selectionId, selectionMap) {
        const textLayer = this.getTextLayerFromLocation(location.pageNumber);
        if (textLayer && location.spanIndex > -1) {
            const spans = Array.from(textLayer?.querySelectorAll('span:not(.inner-span)'));
            const span = spans[location.spanIndex];
            if (span) {
                let spanSet = selectionMap.get(span);
                if (!spanSet) {
                    spanSet = new Set();
                    selectionMap.set(span, spanSet);
                }
                spanSet.add(selectionId);
            }
            span.classList.add(htmlClass);
        }
    }
    setSpanClassFromLocation(location, htmlClass) {
        const textLayer = this.getTextLayerFromLocation(location.pageNumber);
        if (textLayer && location.spanIndex > -1) {
            const spans = Array.from(textLayer?.querySelectorAll('span:not(.inner-span)'));
            const span = spans[location.spanIndex];
            span.classList.add(htmlClass);
        }
    }
    removeSpanClassFromLocation(location, htmlClass, selectionId, selectionMap) {
        const textLayer = this.getTextLayerFromLocation(location.pageNumber);
        if (textLayer && location.spanIndex > -1) {
            const spans = Array.from(textLayer?.querySelectorAll('span:not(.inner-span)'));
            const span = spans[location.spanIndex];
            const spanSet = selectionMap.get(span);
            if (spanSet) {
                spanSet.delete(selectionId);
                if (spanSet.size < 1) {
                    span.classList.remove(htmlClass);
                    document.querySelectorAll('span.match-active').forEach((s) => {
                        s.classList.remove('match-active');
                    });
                    selectionMap.delete(span);
                }
            }
            else {
                span.classList.remove(htmlClass);
                document.querySelectorAll('span.match-active').forEach((s) => {
                    s.classList.remove('match-active');
                });
            }
        }
    }
    getSpanLocation(startContainer) {
        const startPage = this.getPageParent(startContainer);
        const startSpan = this.getSpan(startContainer);
        const location = {
            pageNumber: -1,
            spanIndex: -1,
        };
        if (startPage && startSpan) {
            const startPageNumberAttr = startPage.attributes.getNamedItem('data-page-number');
            const pageNumber = startPageNumberAttr?.value;
            if (pageNumber) {
                location.pageNumber = +pageNumber;
            }
            const textLayer = startPage.querySelector('div.textLayer');
            if (textLayer) {
                const spans = Array.from(textLayer.querySelectorAll('span:not(.inner-span)'));
                const spanIndex = spans.findIndex((s) => s == startSpan);
                location.spanIndex = spanIndex;
            }
        }
        return location;
    }
    getInterveningTextLayers(startPage, endPage) {
        const pages = [];
        for (let p = startPage + 1; p < endPage; p++) {
            const page = this.getTextLayerFromLocation(p);
            if (page) {
                pages.push(page);
            }
        }
        return pages;
    }
    getInterveningLocations(startLocation, endLocation) {
        const locations = [];
        if (startLocation.pageNumber === endLocation.pageNumber) {
            if (startLocation.spanIndex === endLocation.spanIndex) {
                locations.push(startLocation);
            }
            else {
                locations.push(...this.getSamePageLocations(startLocation, endLocation));
            }
        }
        else {
            locations.push(...this.getAllNonSamePageLocations(startLocation, endLocation));
        }
        return locations;
    }
    getAllNonSamePageLocations(startLocation, endLocation) {
        const locations = [];
        locations.push(...this.getStartPageLocations(startLocation));
        if (startLocation.pageNumber && endLocation.pageNumber) {
            for (let p = startLocation.pageNumber + 1; p < endLocation.pageNumber; p++) {
                locations.push(...this.getAllLocationsOnPage(p));
            }
        }
        locations.push(...this.getEndPageLocations(endLocation));
        return locations;
    }
    getStartPageLocations(startLocation) {
        const textLayer = this.getTextLayerFromLocation(startLocation.pageNumber);
        const locations = [];
        if (textLayer && startLocation.spanIndex > -1 && startLocation.pageNumber) {
            const allSpans = Array.from(textLayer.querySelectorAll('span:not(.inner-span)'));
            for (let s = startLocation.spanIndex; s < allSpans.length; s++) {
                locations.push({
                    pageNumber: startLocation.pageNumber,
                    spanIndex: s,
                });
            }
        }
        return locations;
    }
    getAllLocationsOnPage(pageNumber) {
        const textLayer = this.getTextLayerFromLocation(pageNumber);
        const locations = [];
        if (textLayer) {
            const allSpans = Array.from(textLayer.querySelectorAll('span:not(.inner-span)'));
            for (let s = 0; s < allSpans.length; s++) {
                locations.push({
                    pageNumber,
                    spanIndex: s,
                });
            }
        }
        return locations;
    }
    getEndPageLocations(endLocation) {
        const locations = [];
        if (endLocation.spanIndex > -1 && endLocation.pageNumber) {
            for (let s = 0; s <= endLocation.spanIndex; s++) {
                locations.push({
                    pageNumber: endLocation.pageNumber,
                    spanIndex: s,
                });
            }
        }
        return locations;
    }
    getSamePageLocations(startLocation, endLocation) {
        const locations = [];
        locations.push(startLocation);
        if (startLocation.spanIndex > -1 &&
            endLocation.spanIndex > -1 &&
            startLocation.pageNumber) {
            for (let s = startLocation.spanIndex + 1; s < endLocation.spanIndex; s++) {
                locations.push({
                    pageNumber: startLocation.pageNumber,
                    spanIndex: s,
                });
            }
        }
        locations.push(endLocation);
        return locations;
    }
    getTextLayerFromLocation(pageNumber) {
        return this.pdfComponent.pdfViewerContainer.nativeElement
            .querySelector(`[data-page-number="${pageNumber}"]`)
            ?.querySelector('div.textLayer');
    }
    getMiddlePages(startPage, endPage) {
        let siblingElement = startPage?.nextElementSibling;
        const pages = [];
        while (siblingElement && siblingElement !== endPage) {
            if (siblingElement.nodeName === 'DIV' &&
                siblingElement.classList.contains('page')) {
                pages.push(siblingElement);
            }
            siblingElement = siblingElement.nextElementSibling;
        }
        return pages;
    }
    getPageParent(node) {
        const parent = node.parentElement;
        if (!parent) {
            return null;
        }
        else if (parent.nodeName === 'DIV') {
            if (parent.classList.contains('page')) {
                return parent;
            }
            else {
                return this.getPageParent(parent);
            }
        }
        else {
            return this.getPageParent(parent);
        }
    }
    getSpan(node) {
        if (node.nodeName === '#text') {
            return node.parentElement;
        }
        else if (node.nodeName === 'SPAN') {
            return node;
        }
        else {
            return null;
        }
    }
    commntDropdownVisible(element) {
        const allDropdowns = document.querySelectorAll('.dropdown-content');
        allDropdowns.forEach((dropdown) => {
            dropdown.style.display = 'none';
        });
        const parentSpan = element.closest('.icon-span');
        if (parentSpan) {
            const dropdownContent = parentSpan.querySelector('.dropdown-content');
            if (dropdownContent) {
                dropdownContent.style.display = 'block';
                const hideDropdown = (event) => {
                    if (!parentSpan.contains(event.target)) {
                        dropdownContent.style.display = 'none';
                        document.removeEventListener('click', hideDropdown);
                    }
                };
                setTimeout(() => {
                    document.addEventListener('click', hideDropdown);
                }, 0);
            }
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: MoPdfViewerComponent, deps: [{ token: i1$1.Router }, { token: i1$1.ActivatedRoute }, { token: i0.ViewContainerRef }, { token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: MoPdfViewerComponent, isStandalone: true, selector: "mo-pdf-viewer", inputs: { pdfSrc: "pdfSrc", documentTitle: "documentTitle", documentClassification: "documentClassification", documentAuthor: "documentAuthor", minimalView: "minimalView", activeNav: "activeNav" }, outputs: { closePane: "closePane", activeNavChange: "activeNavChange" }, viewQueries: [{ propertyName: "pdfComponent", first: true, predicate: PdfViewerComponent, descendants: true }], ngImport: i0, template: "<div class=\"container-fluid h-100\">\r\n  <as-split direction=\"horizontal\">\r\n    <as-split-area [size]=\"70\" style=\"scrollbar-width: none\">\r\n      <div class=\"row h-100\">\r\n        <div\r\n          [ngClass]=\"\r\n            minimalView ? 'preview-full-view' : 'section-container-right'\r\n          \"\r\n          style=\"position: relative\"\r\n        >\r\n          <nav class=\"navbar navbar-inverse\">\r\n            <div class=\"container-fluid nav-container\">\r\n              <div class=\"navbar-header\" style=\"display: flex\">\r\n                <div class=\"col-auto d-flex flex-column\">\r\n                  <button\r\n                    class=\"btn btn-sm btn-outline-secondary py-0 my-auto\"\r\n                    style=\"border: none\"\r\n                    (click)=\"selectSearchCategory('Highlights')\"\r\n                  >\r\n                    {{ highlights.length }}\r\n                    <fa-icon\r\n                      class=\"mx-auto my-auto\"\r\n                      [icon]=\"I.faHighlighter\"\r\n                    ></fa-icon>\r\n                  </button>\r\n                </div>\r\n\r\n                <div class=\"col-auto d-flex flex-column\">\r\n                  <button\r\n                    class=\"btn btn-sm btn-outline-secondary py-0 my-auto\"\r\n                    style=\"border: none\"\r\n                    (click)=\"selectSearchCategory('Tags')\"\r\n                  >\r\n                    {{ tags.length }}\r\n                    <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faTag\"></fa-icon>\r\n                  </button>\r\n                </div>\r\n\r\n                <div class=\"col-auto d-flex flex-column\">\r\n                  <button\r\n                    class=\"btn btn-sm btn-outline-secondary py-0 my-auto\"\r\n                    style=\"border: none\"\r\n                    (click)=\"selectSearchCategory('Comments')\"\r\n                  >\r\n                    {{ comments.length }}\r\n                    <fa-icon\r\n                      class=\"mx-auto my-auto\"\r\n                      [icon]=\"I.faMessage\"\r\n                    ></fa-icon>\r\n                  </button>\r\n                </div>\r\n              </div>\r\n\r\n              <div class=\"nav navbar-nav\">\r\n                <div class=\"col-auto d-flex flex-column\">\r\n                  <div class=\"my-auto\" id=\"my-auto-page\">\r\n                    Page {{ page }} of 4\r\n                  </div>\r\n                </div>\r\n              </div>\r\n              <div\r\n                class=\"col-auto d-flex flex-column nav navbar-nav navbar-right\"\r\n                style=\"margin-left: 2px\"\r\n              >\r\n                <div class=\"col-auto d-flex flex-column pe-2 my-2 my-lg-0\">\r\n                  <div class=\"input-group input-group-sm my-auto\">\r\n                    <svg\r\n                      xmlns=\"http://www.w3.org/2000/svg\"\r\n                      viewBox=\"0 0 512 512\"\r\n                      id=\"search_svg_icon\"\r\n                    >\r\n                      <path\r\n                        d=\"M416 208c0 45.9-14.9 88.3-40 122.7L502.6 457.4c12.5 12.5 12.5 32.8 0 45.3s-32.8 12.5-45.3 0L330.7 376c-34.4 25.2-76.8 40-122.7 40C93.1 416 0 322.9 0 208S93.1 0 208 0S416 93.1 416 208zM208 352a144 144 0 1 0 0-288 144 144 0 1 0 0 288z\"\r\n                      />\r\n                    </svg>\r\n                    <div\r\n                      class=\"nav navbar-nav navbar-right\"\r\n                      style=\"display: -webkit-inline-box\"\r\n                    >\r\n                      <div class=\"col-auto d-flex pe-2 my-2 my-lg-0\">\r\n                        <div class=\"input-group input-group-sm my-auto\">\r\n                          <input\r\n                            type=\"text\"\r\n                            aria-label=\"Small\"\r\n                            aria-describedby=\"inputGroup-sizing-sm\"\r\n                            placeholder=\"Search\"\r\n                            [(ngModel)]=\"searchText\"\r\n                            (keyup)=\"onKeyUp($event)\"\r\n                            class=\"form-control mr-sm-2 ng-untouched ng-pristine ng-valid search-box\"\r\n                          />\r\n                        </div>\r\n                      </div>\r\n                      <div\r\n                        class=\"col-auto d-flex flex-column my-auto_count\"\r\n                        id=\"my-auto_count\"\r\n                        *ngIf=\"searchText\"\r\n                      ></div>\r\n                      <div class=\"col-auto d-flex flex-column\">\r\n                        <button\r\n                          class=\"down_btn btn-outline-secondary\"\r\n                          (click)=\"searchDown(searchText)\"\r\n                          (keyup)=\"searchDown(searchText)\"\r\n                        >\r\n                          <svg\r\n                            xmlns=\"http://www.w3.org/2000/svg\"\r\n                            viewBox=\"0 0 448 512\"\r\n                            style=\"margin-top: -4px\"\r\n                          >\r\n                            <path\r\n                              d=\"M201.4 137.4c12.5-12.5 32.8-12.5 45.3 0l160 160c12.5 12.5 12.5 32.8 0 45.3s-32.8 12.5-45.3 0L224 205.3 86.6 342.6c-12.5 12.5-32.8 12.5-45.3 0s-12.5-32.8 0-45.3l160-160z\"\r\n                            />\r\n                          </svg>\r\n                        </button>\r\n                      </div>\r\n                      <div class=\"col-auto d-flex flex-column\">\r\n                        <button\r\n                          class=\"up_btn btn-outline-secondary\"\r\n                          (click)=\"searchUp(searchText)\"\r\n                        >\r\n                          <svg\r\n                            xmlns=\"http://www.w3.org/2000/svg\"\r\n                            viewBox=\"0 0 448 512\"\r\n                          >\r\n                            <path\r\n                              d=\"M201.4 137.4c12.5-12.5 32.8-12.5 45.3 0l160 160c12.5 12.5 12.5 32.8 0 45.3s-32.8 12.5-45.3 0L224 205.3 86.6 342.6c-12.5 12.5-32.8 12.5-45.3 0s-12.5-32.8 0-45.3l160-160z\"\r\n                            />\r\n                          </svg>\r\n                        </button>\r\n                      </div>\r\n                    </div>\r\n                  </div>\r\n                </div>\r\n              </div>\r\n            </div>\r\n          </nav>\r\n          <div class=\"row flex-grow-1\">\r\n            <div class=\"col h-100\">\r\n              <pdf-viewer\r\n                *ngIf=\"pdfSrc\"\r\n                [src]=\"pdfSrc\"\r\n                [original-size]=\"true\"\r\n                [render-text]=\"true\"\r\n                [fit-to-page]=\"false\"\r\n                [show-borders]=\"true\"\r\n                [(page)]=\"page\"\r\n                (mouseup)=\"showOptions($event)\"\r\n                (pages-initialized)=\"afterLoadComplete()\"\r\n                class=\"h-100 w-100\"\r\n                style=\"\r\n                  position: absolute;\r\n                  background: lightgrey;\r\n                  overflow: scroll;\r\n                  scrollbar-width: thin;\r\n                \"\r\n              ></pdf-viewer>\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </as-split-area>\r\n    <as-split-area [size]=\"30\" class=\"right-panel\">\r\n      <div\r\n        class=\"search-category\"\r\n        *ngIf=\"selectedSearchCategory === 'Highlights'\"\r\n      >\r\n        <div class=\"row ms-2\">\r\n          <div class=\"col\">\r\n            <h3 class=\"right-panel-title\">Highlights:</h3>\r\n          </div>\r\n        </div>\r\n        <div class=\"row highlight-container\">\r\n          <div\r\n            class=\"col-16 highlight-col\"\r\n            style=\"margin-top: 7px; margin-left: 14px\"\r\n          >\r\n            <div\r\n              *ngFor=\"let highlight of highlights\"\r\n              style=\"width: 100%\"\r\n              (click)=\"selectSelection(highlight)\"\r\n              (keyup)=\"selectSelection(highlight)\"\r\n              tabindex=\"-1\"\r\n            >\r\n              <div class=\"row_highlight\" style=\"position: relative\">\r\n                <div class=\"highlight-col\">\r\n                  <div\r\n                    class=\"col-auto ms-3\"\r\n                    (click)=\"goToSelection(highlight)\"\r\n                    (keyup)=\"goToSelection(highlight)\"\r\n                    tabindex=\"-1\"\r\n                    id=\"highlight-span\"\r\n                  >\r\n                    {{ highlight.text | slice : 0 : 62\r\n                    }}{{ highlight.text.length > 62 ? \"...\" : \"\" }}\r\n                  </div>\r\n                </div>\r\n                <div>\r\n                  <button\r\n                    type=\"button\"\r\n                    title=\"Remove Highlight\"\r\n                    (click)=\"removeHighlight(highlight)\"\r\n                    class=\"btn btn-danger btn-sm\"\r\n                    id=\"trash_button\"\r\n                  >\r\n                    <fa-icon\r\n                      class=\"mx-auto my-auto\"\r\n                      id=\"trash_icon_highlight\"\r\n                      [icon]=\"I.faTrash\"\r\n                    />\r\n                  </button>\r\n                </div>\r\n              </div>\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </div>\r\n\r\n      <div class=\"search-category\" *ngIf=\"selectedSearchCategory === 'Tags'\">\r\n        <div class=\"row ms-2\">\r\n          <div class=\"col\">\r\n            <h3 class=\"right-panel-title\">Tags:</h3>\r\n          </div>\r\n        </div>\r\n\r\n        <div class=\"row tag-container\">\r\n          <div class=\"col h-100\" style=\"margin-top: 7px; margin-left: 14px\">\r\n            <div\r\n              *ngFor=\"let tag of tags\"\r\n              class=\"row tag-mx\"\r\n              (click)=\"selectSelection(tag)\"\r\n              [attr.tabindex]=\"0\"\r\n              (keyup)=\"selectSelection(tag)\"\r\n            >\r\n              <div class=\"col\">\r\n                <div class=\"row col-auto row_tag\" style=\"position: relative\">\r\n                  <div\r\n                    class=\"col-auto ms-3\"\r\n                    (click)=\"goToSelection(tag)\"\r\n                    (keyup)=\"goToSelection(tag)\"\r\n                    tabindex=\"-1\"\r\n                    id=\"tag-box\"\r\n                  >\r\n                    {{ tag.text | slice : 0 : 62\r\n                    }}{{ tag.text.length > 62 ? \"...\" : \"\" }}\r\n                  </div>\r\n                  <button\r\n                    type=\"button\"\r\n                    title=\"Remove Tag\"\r\n                    (click)=\"removeTag(tag)\"\r\n                    class=\"btn btn-danger btn-sm\"\r\n                    id=\"trash_button_tag\"\r\n                  >\r\n                    <fa-icon\r\n                      class=\"mx-auto my-auto\"\r\n                      [icon]=\"I.faTrash\"\r\n                      id=\"trash_icon_tag\"\r\n                    />\r\n                  </button>\r\n                </div>\r\n              </div>\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </div>\r\n\r\n      <div\r\n        class=\"search-category\"\r\n        *ngIf=\"selectedSearchCategory === 'Comments'\"\r\n      >\r\n        <div class=\"row ms-2\">\r\n          <div class=\"col\">\r\n            <h3 class=\"right-panel-title\">Comments:</h3>\r\n          </div>\r\n        </div>\r\n        <div class=\"container\">\r\n          <div class=\"row flex-grow-1 comment-container\">\r\n            <div class=\"col h-100 mt-2\">\r\n              <div\r\n                *ngFor=\"let comment of comments\"\r\n                class=\"row mx-2 clickable align-items-center\"\r\n                id=\"comment-row\"\r\n                (click)=\"selectSelection(comment)\"\r\n                [attr.tabindex]=\"0\"\r\n                (keyup)=\"selectSelection(comment)\"\r\n                tabindex=\"-1\"\r\n              >\r\n                <div class=\"col\">\r\n                  <div class=\"row row_comments\">\r\n                    <div\r\n                      *ngIf=\"!comment.editMode\"\r\n                      class=\"col-12\"\r\n                      id=\"comment-box\"\r\n                      (click)=\"goToSelection(comment)\"\r\n                      (keyup)=\"goToSelection(comment)\"\r\n                      tabindex=\"-1\"\r\n                    >\r\n                      {{ comment.comment }}\r\n                    </div>\r\n\r\n                    <div\r\n                      *ngIf=\"comment.editMode\"\r\n                      class=\"col-12 row mx-2\"\r\n                      id=\"comment-box\"\r\n                      (click)=\"goToSelection(comment)\"\r\n                      (keyup)=\"goToSelection(comment)\"\r\n                      tabindex=\"-1\"\r\n                    >\r\n                      {{ comment.text | slice : 0 : 62\r\n                      }}{{ comment.text.length > 62 ? \"...\" : \"\" }}\r\n                    </div>\r\n\r\n                    <span\r\n                      class=\"icon-span\"\r\n                      style=\"position: absolute; right: 0; cursor: pointer\"\r\n                    >\r\n                      <i\r\n                        #commentDropdown\r\n                        (click)=\"commntDropdownVisible(commentDropdown)\"\r\n                        (keyup)=\"commntDropdownVisible(commentDropdown)\"\r\n                        tabindex=\"-1\"\r\n                        class=\"material-icons\"\r\n                        id=\"comment-dropdown\"\r\n                        style=\"\r\n                          font-size: 25px;\r\n                          color: rgb(22, 22, 22);\r\n                          position: absolute;\r\n                          top: -3px;\r\n                          right: 0;\r\n                        \"\r\n                        >more_vert</i\r\n                      >\r\n                      <ul\r\n                        class=\"dropdown-content\"\r\n                        *ngIf=\"dropdownVisible\"\r\n                        style=\"top: 16px; display: none\"\r\n                      >\r\n                        <li\r\n                          tabindex=\"-1\"\r\n                          style=\"height: 35px\"\r\n                          (click)=\"removeComment(comment)\"\r\n                          (keydown.enter)=\"removeComment(comment)\"\r\n                        >\r\n                          Delete\r\n\r\n                          <button\r\n                            type=\"button\"\r\n                            title=\"Remove Comment\"\r\n                            (click)=\"removeComment(comment)\"\r\n                            class=\"btn btn-danger btn-sm ms-1\"\r\n                            id=\"trash_button_comment\"\r\n                          >\r\n                            <fa-icon\r\n                              class=\"mx-auto my-auto\"\r\n                              id=\"trash_icon_comment\"\r\n                              [icon]=\"I.faTrash\"\r\n                            />\r\n                          </button>\r\n                        </li>\r\n                        <li\r\n                          (click)=\"editComment(comment)\"\r\n                          (keydown.enter)=\"editComment(comment)\"\r\n                          *ngIf=\"!comment.editMode\"\r\n                          tabindex=\"-1\"\r\n                          style=\"height: 35px\"\r\n                        >\r\n                          Edit\r\n                          <button\r\n                            *ngIf=\"!comment.editMode\"\r\n                            type=\"button\"\r\n                            title=\"Edit Comment\"\r\n                            (click)=\"editComment(comment)\"\r\n                            class=\"btn btn-primary btn-sm ms-1\"\r\n                            id=\"edit_button_comment\"\r\n                          >\r\n                            <svg\r\n                              xmlns=\"http://www.w3.org/2000/svg\"\r\n                              viewBox=\"0 0 576 512\"\r\n                              class=\"edit_comment_svg\"\r\n                              id=\"edit_icon_comment\"\r\n                            >\r\n                              <path\r\n                                d=\"M402.3 344.9l32-32c5-5 13.7-1.5 13.7 5.7V464c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V112c0-26.5 21.5-48 48-48h273.5c7.1 0 10.7 8.6 5.7 13.7l-32 32c-1.5 1.5-3.5 2.3-5.7 2.3H48v352h352V350.5c0-2.1 .8-4.1 2.3-5.6zm156.6-201.8L296.3 405.7l-90.4 10c-26.2 2.9-48.5-19.2-45.6-45.6l10-90.4L432.9 17.1c22.9-22.9 59.9-22.9 82.7 0l43.2 43.2c22.9 22.9 22.9 60 .1 82.8zM460.1 174L402 115.9 216.2 301.8l-7.3 65.3 65.3-7.3L460.1 174zm64.8-79.7l-43.2-43.2c-4.1-4.1-10.8-4.1-14.8 0L436 82l58.1 58.1 30.9-30.9c4-4.2 4-10.8-.1-14.9z\"\r\n                              />\r\n                            </svg>\r\n                          </button>\r\n                        </li>\r\n                      </ul>\r\n                    </span>\r\n                  </div>\r\n                  <div class=\"row mt-2\">\r\n                    <div class=\"ms-3 w-100\">\r\n                      <div *ngIf=\"comment.editMode\">\r\n                        <textarea\r\n                          placeholder=\"Type your Reply\"\r\n                          title=\"Comment\"\r\n                          class=\"form-control\"\r\n                          id=\"comments-textarea\"\r\n                          [(ngModel)]=\"comment.comment\"\r\n                          (input)=\"enableSubmitButton(comment, submitButton)\"\r\n                        ></textarea>\r\n                        <button\r\n                          #submitButton\r\n                          class=\"comment_submit btn btn-primary btn-sm mt-1\"\r\n                          (click)=\"submitComment(comment, submitButton)\"\r\n                          disabled\r\n                        >\r\n                          Submit\r\n                        </button>\r\n                      </div>\r\n                    </div>\r\n                  </div>\r\n                </div>\r\n              </div>\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </div>\r\n\r\n      <div *ngIf=\"!minimalView\" class=\"row ms-2\">\r\n        <ul\r\n          ngbNav\r\n          #nav=\"ngbNav\"\r\n          class=\"nav nav-pills nav-tabs\"\r\n          orientation=\"vertical\"\r\n          tabindex=\"-1\"\r\n        >\r\n          <ng-container *ngFor=\"let category of searchCategories\">\r\n            <li\r\n              class=\"ccc clickable top-category\"\r\n              [class.active-top-category]=\"\r\n                selectedSearchCategory === category.label\r\n              \"\r\n              (click)=\"selectSearchCategory(category.label)\"\r\n              (keydown.enter)=\"selectSearchCategory(category.label)\"\r\n              [ngbTooltip]=\"category.label\"\r\n              tabindex=\"-1\"\r\n            >\r\n              <a class=\"nav-link\">\r\n                <div class=\"row d-flex my-2\">\r\n                  <div class=\"col-auto mx-auto right-icons\">\r\n                    <fa-icon\r\n                      class=\"mx-auto my-auto\"\r\n                      size=\"2x\"\r\n                      [icon]=\"category.icon\"\r\n                    ></fa-icon>\r\n                  </div>\r\n                </div>\r\n              </a>\r\n            </li>\r\n          </ng-container>\r\n        </ul>\r\n      </div>\r\n    </as-split-area>\r\n  </as-split>\r\n</div>\r\n", styles: ["@import\"https://fonts.googleapis.com/icon?family=Material+Icons\";:host ::ng-deep .ng2-pdf-viewer-container .match-comment{text-decoration:underline;text-decoration-color:#00f;text-decoration-thickness:3px;color:#000;opacity:1}:host ::ng-deep .ng2-pdf-viewer-container .match-active{color:#000;opacity:.5}:host ::ng-deep .ng2-pdf-viewer-container .match-highlight{background-color:#ff0;color:#000;opacity:1}:host ::ng-deep .ng2-pdf-viewer-container .match-tag{text-decoration:underline;text-decoration-color:green;text-decoration-thickness:3px;color:#000;opacity:2}:host ::ng-deep .ng2-pdf-viewer-container .textLayer{opacity:.4}.section-container-left{background-color:#f8f8f8}.section-container-right{background-color:#f2f2f2}.info-row{background-color:#dadada}.icon-circle{height:1.5rem;aspect-ratio:1/1;background-color:#d3d3d3}.doc-name{font-weight:700}.top-category{border:solid transparent 1px;align-items:center;padding-right:0;height:39px}.active-top-category{color:#000;background-color:#fff;filter:brightness(125%);border-color:#0c0c0c;border-radius:var(--bs-nav-pills-border-radius)}.active-top-category .nav-link{color:#000;background-color:#fff}.light-gray-background{background-color:#d3d3d3}.preview-full-view{width:100%}.page-container{width:100%;height:calc(100vh - 98px)}.nav-link{padding:.5rem;background-color:#f5f5f5;margin-top:.5px;height:36px;color:#a9a9a9;font-size:10px;display:flex;align-content:center;flex-wrap:wrap;border-color:#a9a9a9}.nav-link:hover{color:#fff;background-color:#5a5858}.nav-tabs{min-width:40px}.outlet{width:calc(100% - 40px);height:100%;padding:0 .5rem}.icon-button{all:unset;color:#a9a9a9}.mo-border{border-bottom:.06rem solid var(--bs-gray-500)}.right-panel{order:2;flex:0 0 calc(43.634% - 4.79973px);display:inline-flex;justify-content:space-between;background-color:#fff}.right-icons{font-size:9px}.nav-container{background-color:#fff}.highlight-col{position:relative;padding-left:0;padding-right:38px}#search_svg_icon{width:12px}.down_btn:hover,.up_btn:hover{cursor:pointer;color:var(--bs-gray-100);filter:brightness(150%)}.form-control:focus{box-shadow:none}.ng2-pdf-viewer-container{background:#d3d3d3}#my-auto-page{color:#837a7a}.down_btn{border:none;width:24px;rotate:180deg;background:#fff}.up_btn{border:none;width:24px;background:#fff}.right-panel-title{font-size:23px;margin-top:16px}#trash_button{position:absolute;top:1px;width:21px;height:22px;right:27px;z-index:1;visibility:hidden}#trash_icon_highlight{width:5px;position:absolute;top:-1px;right:11px;height:14px}#trash_button_tag{position:absolute;top:2px;width:21px;height:21px;right:19px;z-index:1;visibility:hidden}#trash_icon_tag{position:absolute;top:-2px;right:11px;width:4px;height:5px}.row_highlight{position:relative;padding-bottom:20px;height:100%}.search-category{width:100%}.tag-mx{padding-bottom:20px}.row-tag{height:49px}.row_highlight:hover #trash_button,.row_tag:hover #trash_button_tag{visibility:visible}#trash_button_comment{position:absolute;top:8px;width:19px;height:20px;right:10px;z-index:1}#comment-box:hover #trash_button_comment{visibility:visible}#trash_icon_comment{top:-1px;right:2px;position:absolute}#edit_icon_comment{position:absolute;top:7px;right:-3px;width:37px;height:19px;fill:#fff;filter:drop-shadow(2px 4px 6px black)}#comment-row{position:relative;padding-bottom:50px;width:100%}.row_comments{width:100%}.row_comments:hover #trash_button_comment,.row_comments:hover #edit_button_comment{visibility:visible}#comments-textarea{margin-left:6px;margin-top:5px;width:80%}#edit_button_comment{position:absolute;top:35px;width:25px;height:22px;right:3px;z-index:1;background:transparent;border:none}.edit_comment_svg{width:24px;height:24px;position:absolute;top:1px;right:-3px;filter:contrast(.5)}#comment-box{cursor:pointer;padding-right:38px;margin:1px}#tag-box{cursor:pointer;padding-right:38px;position:relative}#highlight-span{cursor:pointer;padding-right:38px}.comment_submit{position:relative;left:70%;top:0;margin:6px;border:none;background:#b7b1b1;padding:6px;border-radius:6px}textarea:focus{outline:none}.material-icons{margin-top:2px;border-radius:2px}.material-icons:hover{background:#aca6a6;border-radius:2px}.dropdown-content{border-radius:4px;position:absolute;background-color:#6b6666;color:#ebebeb;min-width:125px;box-shadow:0 8px 16px #0003;z-index:4;top:100%;right:0;padding:0;margin:5px 15px 0 0;display:flex;flex-direction:column;font-weight:400;font-size:16px;font-stretch:normal;letter-spacing:normal}.dropdown-content li{list-style-type:none;padding:0 0 0 10px;text-align:center;flex:1;display:flex;justify-content:left;align-items:center;line-height:35px}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: i2.SlicePipe, name: "slice" }, { kind: "ngmodule", type: PdfViewerModule }, { kind: "component", type: i3.PdfViewerComponent, selector: "pdf-viewer", inputs: ["src", "c-maps-url", "page", "render-text", "render-text-mode", "original-size", "show-all", "stick-to-page", "zoom", "zoom-scale", "rotation", "external-link-target", "autoresize", "fit-to-page", "show-borders"], outputs: ["after-load-complete", "page-rendered", "pages-initialized", "text-layer-rendered", "error", "on-progress", "pageChange"] }, { kind: "ngmodule", type: FontAwesomeModule }, { kind: "component", type: i1.FaIconComponent, selector: "fa-icon", inputs: ["icon", "title", "animation", "spin", "pulse", "mask", "styles", "flip", "size", "pull", "border", "inverse", "symbol", "rotate", "fixedWidth", "classes", "transform", "a11yRole"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i5.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i5.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i5.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "ngmodule", type: AngularSplitModule }, { kind: "component", type: i6.SplitComponent, selector: "as-split", inputs: ["direction", "unit", "gutterSize", "gutterStep", "restrictMove", "useTransition", "disabled", "dir", "gutterDblClickDuration", "gutterClickDeltaPx", "gutterAriaLabel"], outputs: ["transitionEnd", "dragStart", "dragEnd", "gutterClick", "gutterDblClick"], exportAs: ["asSplit"] }, { kind: "directive", type: i6.SplitAreaDirective, selector: "as-split-area, [as-split-area]", inputs: ["order", "size", "minSize", "maxSize", "lockSize", "visible"], exportAs: ["asSplitArea"] }, { kind: "ngmodule", type: NgbNavModule }, { kind: "directive", type: i7.NgbNav, selector: "[ngbNav]", inputs: ["activeId", "animation", "destroyOnHide", "orientation", "roles", "keyboard"], outputs: ["activeIdChange", "shown", "hidden", "navChange"], exportAs: ["ngbNav"] }, { kind: "ngmodule", type: NgbTooltipModule }, { kind: "directive", type: i7.NgbTooltip, selector: "[ngbTooltip]", inputs: ["animation", "autoClose", "placement", "popperOptions", "triggers", "positionTarget", "container", "disableTooltip", "tooltipClass", "tooltipContext", "openDelay", "closeDelay", "ngbTooltip"], outputs: ["shown", "hidden"], exportAs: ["ngbTooltip"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: MoPdfViewerComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, imports: [
                        CommonModule,
                        PdfViewerModule,
                        FontAwesomeModule,
                        FormsModule,
                        AngularSplitModule,
                        NgbNavModule,
                        NgbTooltipModule,
                    ], selector: 'mo-pdf-viewer', template: "<div class=\"container-fluid h-100\">\r\n  <as-split direction=\"horizontal\">\r\n    <as-split-area [size]=\"70\" style=\"scrollbar-width: none\">\r\n      <div class=\"row h-100\">\r\n        <div\r\n          [ngClass]=\"\r\n            minimalView ? 'preview-full-view' : 'section-container-right'\r\n          \"\r\n          style=\"position: relative\"\r\n        >\r\n          <nav class=\"navbar navbar-inverse\">\r\n            <div class=\"container-fluid nav-container\">\r\n              <div class=\"navbar-header\" style=\"display: flex\">\r\n                <div class=\"col-auto d-flex flex-column\">\r\n                  <button\r\n                    class=\"btn btn-sm btn-outline-secondary py-0 my-auto\"\r\n                    style=\"border: none\"\r\n                    (click)=\"selectSearchCategory('Highlights')\"\r\n                  >\r\n                    {{ highlights.length }}\r\n                    <fa-icon\r\n                      class=\"mx-auto my-auto\"\r\n                      [icon]=\"I.faHighlighter\"\r\n                    ></fa-icon>\r\n                  </button>\r\n                </div>\r\n\r\n                <div class=\"col-auto d-flex flex-column\">\r\n                  <button\r\n                    class=\"btn btn-sm btn-outline-secondary py-0 my-auto\"\r\n                    style=\"border: none\"\r\n                    (click)=\"selectSearchCategory('Tags')\"\r\n                  >\r\n                    {{ tags.length }}\r\n                    <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faTag\"></fa-icon>\r\n                  </button>\r\n                </div>\r\n\r\n                <div class=\"col-auto d-flex flex-column\">\r\n                  <button\r\n                    class=\"btn btn-sm btn-outline-secondary py-0 my-auto\"\r\n                    style=\"border: none\"\r\n                    (click)=\"selectSearchCategory('Comments')\"\r\n                  >\r\n                    {{ comments.length }}\r\n                    <fa-icon\r\n                      class=\"mx-auto my-auto\"\r\n                      [icon]=\"I.faMessage\"\r\n                    ></fa-icon>\r\n                  </button>\r\n                </div>\r\n              </div>\r\n\r\n              <div class=\"nav navbar-nav\">\r\n                <div class=\"col-auto d-flex flex-column\">\r\n                  <div class=\"my-auto\" id=\"my-auto-page\">\r\n                    Page {{ page }} of 4\r\n                  </div>\r\n                </div>\r\n              </div>\r\n              <div\r\n                class=\"col-auto d-flex flex-column nav navbar-nav navbar-right\"\r\n                style=\"margin-left: 2px\"\r\n              >\r\n                <div class=\"col-auto d-flex flex-column pe-2 my-2 my-lg-0\">\r\n                  <div class=\"input-group input-group-sm my-auto\">\r\n                    <svg\r\n                      xmlns=\"http://www.w3.org/2000/svg\"\r\n                      viewBox=\"0 0 512 512\"\r\n                      id=\"search_svg_icon\"\r\n                    >\r\n                      <path\r\n                        d=\"M416 208c0 45.9-14.9 88.3-40 122.7L502.6 457.4c12.5 12.5 12.5 32.8 0 45.3s-32.8 12.5-45.3 0L330.7 376c-34.4 25.2-76.8 40-122.7 40C93.1 416 0 322.9 0 208S93.1 0 208 0S416 93.1 416 208zM208 352a144 144 0 1 0 0-288 144 144 0 1 0 0 288z\"\r\n                      />\r\n                    </svg>\r\n                    <div\r\n                      class=\"nav navbar-nav navbar-right\"\r\n                      style=\"display: -webkit-inline-box\"\r\n                    >\r\n                      <div class=\"col-auto d-flex pe-2 my-2 my-lg-0\">\r\n                        <div class=\"input-group input-group-sm my-auto\">\r\n                          <input\r\n                            type=\"text\"\r\n                            aria-label=\"Small\"\r\n                            aria-describedby=\"inputGroup-sizing-sm\"\r\n                            placeholder=\"Search\"\r\n                            [(ngModel)]=\"searchText\"\r\n                            (keyup)=\"onKeyUp($event)\"\r\n                            class=\"form-control mr-sm-2 ng-untouched ng-pristine ng-valid search-box\"\r\n                          />\r\n                        </div>\r\n                      </div>\r\n                      <div\r\n                        class=\"col-auto d-flex flex-column my-auto_count\"\r\n                        id=\"my-auto_count\"\r\n                        *ngIf=\"searchText\"\r\n                      ></div>\r\n                      <div class=\"col-auto d-flex flex-column\">\r\n                        <button\r\n                          class=\"down_btn btn-outline-secondary\"\r\n                          (click)=\"searchDown(searchText)\"\r\n                          (keyup)=\"searchDown(searchText)\"\r\n                        >\r\n                          <svg\r\n                            xmlns=\"http://www.w3.org/2000/svg\"\r\n                            viewBox=\"0 0 448 512\"\r\n                            style=\"margin-top: -4px\"\r\n                          >\r\n                            <path\r\n                              d=\"M201.4 137.4c12.5-12.5 32.8-12.5 45.3 0l160 160c12.5 12.5 12.5 32.8 0 45.3s-32.8 12.5-45.3 0L224 205.3 86.6 342.6c-12.5 12.5-32.8 12.5-45.3 0s-12.5-32.8 0-45.3l160-160z\"\r\n                            />\r\n                          </svg>\r\n                        </button>\r\n                      </div>\r\n                      <div class=\"col-auto d-flex flex-column\">\r\n                        <button\r\n                          class=\"up_btn btn-outline-secondary\"\r\n                          (click)=\"searchUp(searchText)\"\r\n                        >\r\n                          <svg\r\n                            xmlns=\"http://www.w3.org/2000/svg\"\r\n                            viewBox=\"0 0 448 512\"\r\n                          >\r\n                            <path\r\n                              d=\"M201.4 137.4c12.5-12.5 32.8-12.5 45.3 0l160 160c12.5 12.5 12.5 32.8 0 45.3s-32.8 12.5-45.3 0L224 205.3 86.6 342.6c-12.5 12.5-32.8 12.5-45.3 0s-12.5-32.8 0-45.3l160-160z\"\r\n                            />\r\n                          </svg>\r\n                        </button>\r\n                      </div>\r\n                    </div>\r\n                  </div>\r\n                </div>\r\n              </div>\r\n            </div>\r\n          </nav>\r\n          <div class=\"row flex-grow-1\">\r\n            <div class=\"col h-100\">\r\n              <pdf-viewer\r\n                *ngIf=\"pdfSrc\"\r\n                [src]=\"pdfSrc\"\r\n                [original-size]=\"true\"\r\n                [render-text]=\"true\"\r\n                [fit-to-page]=\"false\"\r\n                [show-borders]=\"true\"\r\n                [(page)]=\"page\"\r\n                (mouseup)=\"showOptions($event)\"\r\n                (pages-initialized)=\"afterLoadComplete()\"\r\n                class=\"h-100 w-100\"\r\n                style=\"\r\n                  position: absolute;\r\n                  background: lightgrey;\r\n                  overflow: scroll;\r\n                  scrollbar-width: thin;\r\n                \"\r\n              ></pdf-viewer>\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </as-split-area>\r\n    <as-split-area [size]=\"30\" class=\"right-panel\">\r\n      <div\r\n        class=\"search-category\"\r\n        *ngIf=\"selectedSearchCategory === 'Highlights'\"\r\n      >\r\n        <div class=\"row ms-2\">\r\n          <div class=\"col\">\r\n            <h3 class=\"right-panel-title\">Highlights:</h3>\r\n          </div>\r\n        </div>\r\n        <div class=\"row highlight-container\">\r\n          <div\r\n            class=\"col-16 highlight-col\"\r\n            style=\"margin-top: 7px; margin-left: 14px\"\r\n          >\r\n            <div\r\n              *ngFor=\"let highlight of highlights\"\r\n              style=\"width: 100%\"\r\n              (click)=\"selectSelection(highlight)\"\r\n              (keyup)=\"selectSelection(highlight)\"\r\n              tabindex=\"-1\"\r\n            >\r\n              <div class=\"row_highlight\" style=\"position: relative\">\r\n                <div class=\"highlight-col\">\r\n                  <div\r\n                    class=\"col-auto ms-3\"\r\n                    (click)=\"goToSelection(highlight)\"\r\n                    (keyup)=\"goToSelection(highlight)\"\r\n                    tabindex=\"-1\"\r\n                    id=\"highlight-span\"\r\n                  >\r\n                    {{ highlight.text | slice : 0 : 62\r\n                    }}{{ highlight.text.length > 62 ? \"...\" : \"\" }}\r\n                  </div>\r\n                </div>\r\n                <div>\r\n                  <button\r\n                    type=\"button\"\r\n                    title=\"Remove Highlight\"\r\n                    (click)=\"removeHighlight(highlight)\"\r\n                    class=\"btn btn-danger btn-sm\"\r\n                    id=\"trash_button\"\r\n                  >\r\n                    <fa-icon\r\n                      class=\"mx-auto my-auto\"\r\n                      id=\"trash_icon_highlight\"\r\n                      [icon]=\"I.faTrash\"\r\n                    />\r\n                  </button>\r\n                </div>\r\n              </div>\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </div>\r\n\r\n      <div class=\"search-category\" *ngIf=\"selectedSearchCategory === 'Tags'\">\r\n        <div class=\"row ms-2\">\r\n          <div class=\"col\">\r\n            <h3 class=\"right-panel-title\">Tags:</h3>\r\n          </div>\r\n        </div>\r\n\r\n        <div class=\"row tag-container\">\r\n          <div class=\"col h-100\" style=\"margin-top: 7px; margin-left: 14px\">\r\n            <div\r\n              *ngFor=\"let tag of tags\"\r\n              class=\"row tag-mx\"\r\n              (click)=\"selectSelection(tag)\"\r\n              [attr.tabindex]=\"0\"\r\n              (keyup)=\"selectSelection(tag)\"\r\n            >\r\n              <div class=\"col\">\r\n                <div class=\"row col-auto row_tag\" style=\"position: relative\">\r\n                  <div\r\n                    class=\"col-auto ms-3\"\r\n                    (click)=\"goToSelection(tag)\"\r\n                    (keyup)=\"goToSelection(tag)\"\r\n                    tabindex=\"-1\"\r\n                    id=\"tag-box\"\r\n                  >\r\n                    {{ tag.text | slice : 0 : 62\r\n                    }}{{ tag.text.length > 62 ? \"...\" : \"\" }}\r\n                  </div>\r\n                  <button\r\n                    type=\"button\"\r\n                    title=\"Remove Tag\"\r\n                    (click)=\"removeTag(tag)\"\r\n                    class=\"btn btn-danger btn-sm\"\r\n                    id=\"trash_button_tag\"\r\n                  >\r\n                    <fa-icon\r\n                      class=\"mx-auto my-auto\"\r\n                      [icon]=\"I.faTrash\"\r\n                      id=\"trash_icon_tag\"\r\n                    />\r\n                  </button>\r\n                </div>\r\n              </div>\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </div>\r\n\r\n      <div\r\n        class=\"search-category\"\r\n        *ngIf=\"selectedSearchCategory === 'Comments'\"\r\n      >\r\n        <div class=\"row ms-2\">\r\n          <div class=\"col\">\r\n            <h3 class=\"right-panel-title\">Comments:</h3>\r\n          </div>\r\n        </div>\r\n        <div class=\"container\">\r\n          <div class=\"row flex-grow-1 comment-container\">\r\n            <div class=\"col h-100 mt-2\">\r\n              <div\r\n                *ngFor=\"let comment of comments\"\r\n                class=\"row mx-2 clickable align-items-center\"\r\n                id=\"comment-row\"\r\n                (click)=\"selectSelection(comment)\"\r\n                [attr.tabindex]=\"0\"\r\n                (keyup)=\"selectSelection(comment)\"\r\n                tabindex=\"-1\"\r\n              >\r\n                <div class=\"col\">\r\n                  <div class=\"row row_comments\">\r\n                    <div\r\n                      *ngIf=\"!comment.editMode\"\r\n                      class=\"col-12\"\r\n                      id=\"comment-box\"\r\n                      (click)=\"goToSelection(comment)\"\r\n                      (keyup)=\"goToSelection(comment)\"\r\n                      tabindex=\"-1\"\r\n                    >\r\n                      {{ comment.comment }}\r\n                    </div>\r\n\r\n                    <div\r\n                      *ngIf=\"comment.editMode\"\r\n                      class=\"col-12 row mx-2\"\r\n                      id=\"comment-box\"\r\n                      (click)=\"goToSelection(comment)\"\r\n                      (keyup)=\"goToSelection(comment)\"\r\n                      tabindex=\"-1\"\r\n                    >\r\n                      {{ comment.text | slice : 0 : 62\r\n                      }}{{ comment.text.length > 62 ? \"...\" : \"\" }}\r\n                    </div>\r\n\r\n                    <span\r\n                      class=\"icon-span\"\r\n                      style=\"position: absolute; right: 0; cursor: pointer\"\r\n                    >\r\n                      <i\r\n                        #commentDropdown\r\n                        (click)=\"commntDropdownVisible(commentDropdown)\"\r\n                        (keyup)=\"commntDropdownVisible(commentDropdown)\"\r\n                        tabindex=\"-1\"\r\n                        class=\"material-icons\"\r\n                        id=\"comment-dropdown\"\r\n                        style=\"\r\n                          font-size: 25px;\r\n                          color: rgb(22, 22, 22);\r\n                          position: absolute;\r\n                          top: -3px;\r\n                          right: 0;\r\n                        \"\r\n                        >more_vert</i\r\n                      >\r\n                      <ul\r\n                        class=\"dropdown-content\"\r\n                        *ngIf=\"dropdownVisible\"\r\n                        style=\"top: 16px; display: none\"\r\n                      >\r\n                        <li\r\n                          tabindex=\"-1\"\r\n                          style=\"height: 35px\"\r\n                          (click)=\"removeComment(comment)\"\r\n                          (keydown.enter)=\"removeComment(comment)\"\r\n                        >\r\n                          Delete\r\n\r\n                          <button\r\n                            type=\"button\"\r\n                            title=\"Remove Comment\"\r\n                            (click)=\"removeComment(comment)\"\r\n                            class=\"btn btn-danger btn-sm ms-1\"\r\n                            id=\"trash_button_comment\"\r\n                          >\r\n                            <fa-icon\r\n                              class=\"mx-auto my-auto\"\r\n                              id=\"trash_icon_comment\"\r\n                              [icon]=\"I.faTrash\"\r\n                            />\r\n                          </button>\r\n                        </li>\r\n                        <li\r\n                          (click)=\"editComment(comment)\"\r\n                          (keydown.enter)=\"editComment(comment)\"\r\n                          *ngIf=\"!comment.editMode\"\r\n                          tabindex=\"-1\"\r\n                          style=\"height: 35px\"\r\n                        >\r\n                          Edit\r\n                          <button\r\n                            *ngIf=\"!comment.editMode\"\r\n                            type=\"button\"\r\n                            title=\"Edit Comment\"\r\n                            (click)=\"editComment(comment)\"\r\n                            class=\"btn btn-primary btn-sm ms-1\"\r\n                            id=\"edit_button_comment\"\r\n                          >\r\n                            <svg\r\n                              xmlns=\"http://www.w3.org/2000/svg\"\r\n                              viewBox=\"0 0 576 512\"\r\n                              class=\"edit_comment_svg\"\r\n                              id=\"edit_icon_comment\"\r\n                            >\r\n                              <path\r\n                                d=\"M402.3 344.9l32-32c5-5 13.7-1.5 13.7 5.7V464c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V112c0-26.5 21.5-48 48-48h273.5c7.1 0 10.7 8.6 5.7 13.7l-32 32c-1.5 1.5-3.5 2.3-5.7 2.3H48v352h352V350.5c0-2.1 .8-4.1 2.3-5.6zm156.6-201.8L296.3 405.7l-90.4 10c-26.2 2.9-48.5-19.2-45.6-45.6l10-90.4L432.9 17.1c22.9-22.9 59.9-22.9 82.7 0l43.2 43.2c22.9 22.9 22.9 60 .1 82.8zM460.1 174L402 115.9 216.2 301.8l-7.3 65.3 65.3-7.3L460.1 174zm64.8-79.7l-43.2-43.2c-4.1-4.1-10.8-4.1-14.8 0L436 82l58.1 58.1 30.9-30.9c4-4.2 4-10.8-.1-14.9z\"\r\n                              />\r\n                            </svg>\r\n                          </button>\r\n                        </li>\r\n                      </ul>\r\n                    </span>\r\n                  </div>\r\n                  <div class=\"row mt-2\">\r\n                    <div class=\"ms-3 w-100\">\r\n                      <div *ngIf=\"comment.editMode\">\r\n                        <textarea\r\n                          placeholder=\"Type your Reply\"\r\n                          title=\"Comment\"\r\n                          class=\"form-control\"\r\n                          id=\"comments-textarea\"\r\n                          [(ngModel)]=\"comment.comment\"\r\n                          (input)=\"enableSubmitButton(comment, submitButton)\"\r\n                        ></textarea>\r\n                        <button\r\n                          #submitButton\r\n                          class=\"comment_submit btn btn-primary btn-sm mt-1\"\r\n                          (click)=\"submitComment(comment, submitButton)\"\r\n                          disabled\r\n                        >\r\n                          Submit\r\n                        </button>\r\n                      </div>\r\n                    </div>\r\n                  </div>\r\n                </div>\r\n              </div>\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </div>\r\n\r\n      <div *ngIf=\"!minimalView\" class=\"row ms-2\">\r\n        <ul\r\n          ngbNav\r\n          #nav=\"ngbNav\"\r\n          class=\"nav nav-pills nav-tabs\"\r\n          orientation=\"vertical\"\r\n          tabindex=\"-1\"\r\n        >\r\n          <ng-container *ngFor=\"let category of searchCategories\">\r\n            <li\r\n              class=\"ccc clickable top-category\"\r\n              [class.active-top-category]=\"\r\n                selectedSearchCategory === category.label\r\n              \"\r\n              (click)=\"selectSearchCategory(category.label)\"\r\n              (keydown.enter)=\"selectSearchCategory(category.label)\"\r\n              [ngbTooltip]=\"category.label\"\r\n              tabindex=\"-1\"\r\n            >\r\n              <a class=\"nav-link\">\r\n                <div class=\"row d-flex my-2\">\r\n                  <div class=\"col-auto mx-auto right-icons\">\r\n                    <fa-icon\r\n                      class=\"mx-auto my-auto\"\r\n                      size=\"2x\"\r\n                      [icon]=\"category.icon\"\r\n                    ></fa-icon>\r\n                  </div>\r\n                </div>\r\n              </a>\r\n            </li>\r\n          </ng-container>\r\n        </ul>\r\n      </div>\r\n    </as-split-area>\r\n  </as-split>\r\n</div>\r\n", styles: ["@import\"https://fonts.googleapis.com/icon?family=Material+Icons\";:host ::ng-deep .ng2-pdf-viewer-container .match-comment{text-decoration:underline;text-decoration-color:#00f;text-decoration-thickness:3px;color:#000;opacity:1}:host ::ng-deep .ng2-pdf-viewer-container .match-active{color:#000;opacity:.5}:host ::ng-deep .ng2-pdf-viewer-container .match-highlight{background-color:#ff0;color:#000;opacity:1}:host ::ng-deep .ng2-pdf-viewer-container .match-tag{text-decoration:underline;text-decoration-color:green;text-decoration-thickness:3px;color:#000;opacity:2}:host ::ng-deep .ng2-pdf-viewer-container .textLayer{opacity:.4}.section-container-left{background-color:#f8f8f8}.section-container-right{background-color:#f2f2f2}.info-row{background-color:#dadada}.icon-circle{height:1.5rem;aspect-ratio:1/1;background-color:#d3d3d3}.doc-name{font-weight:700}.top-category{border:solid transparent 1px;align-items:center;padding-right:0;height:39px}.active-top-category{color:#000;background-color:#fff;filter:brightness(125%);border-color:#0c0c0c;border-radius:var(--bs-nav-pills-border-radius)}.active-top-category .nav-link{color:#000;background-color:#fff}.light-gray-background{background-color:#d3d3d3}.preview-full-view{width:100%}.page-container{width:100%;height:calc(100vh - 98px)}.nav-link{padding:.5rem;background-color:#f5f5f5;margin-top:.5px;height:36px;color:#a9a9a9;font-size:10px;display:flex;align-content:center;flex-wrap:wrap;border-color:#a9a9a9}.nav-link:hover{color:#fff;background-color:#5a5858}.nav-tabs{min-width:40px}.outlet{width:calc(100% - 40px);height:100%;padding:0 .5rem}.icon-button{all:unset;color:#a9a9a9}.mo-border{border-bottom:.06rem solid var(--bs-gray-500)}.right-panel{order:2;flex:0 0 calc(43.634% - 4.79973px);display:inline-flex;justify-content:space-between;background-color:#fff}.right-icons{font-size:9px}.nav-container{background-color:#fff}.highlight-col{position:relative;padding-left:0;padding-right:38px}#search_svg_icon{width:12px}.down_btn:hover,.up_btn:hover{cursor:pointer;color:var(--bs-gray-100);filter:brightness(150%)}.form-control:focus{box-shadow:none}.ng2-pdf-viewer-container{background:#d3d3d3}#my-auto-page{color:#837a7a}.down_btn{border:none;width:24px;rotate:180deg;background:#fff}.up_btn{border:none;width:24px;background:#fff}.right-panel-title{font-size:23px;margin-top:16px}#trash_button{position:absolute;top:1px;width:21px;height:22px;right:27px;z-index:1;visibility:hidden}#trash_icon_highlight{width:5px;position:absolute;top:-1px;right:11px;height:14px}#trash_button_tag{position:absolute;top:2px;width:21px;height:21px;right:19px;z-index:1;visibility:hidden}#trash_icon_tag{position:absolute;top:-2px;right:11px;width:4px;height:5px}.row_highlight{position:relative;padding-bottom:20px;height:100%}.search-category{width:100%}.tag-mx{padding-bottom:20px}.row-tag{height:49px}.row_highlight:hover #trash_button,.row_tag:hover #trash_button_tag{visibility:visible}#trash_button_comment{position:absolute;top:8px;width:19px;height:20px;right:10px;z-index:1}#comment-box:hover #trash_button_comment{visibility:visible}#trash_icon_comment{top:-1px;right:2px;position:absolute}#edit_icon_comment{position:absolute;top:7px;right:-3px;width:37px;height:19px;fill:#fff;filter:drop-shadow(2px 4px 6px black)}#comment-row{position:relative;padding-bottom:50px;width:100%}.row_comments{width:100%}.row_comments:hover #trash_button_comment,.row_comments:hover #edit_button_comment{visibility:visible}#comments-textarea{margin-left:6px;margin-top:5px;width:80%}#edit_button_comment{position:absolute;top:35px;width:25px;height:22px;right:3px;z-index:1;background:transparent;border:none}.edit_comment_svg{width:24px;height:24px;position:absolute;top:1px;right:-3px;filter:contrast(.5)}#comment-box{cursor:pointer;padding-right:38px;margin:1px}#tag-box{cursor:pointer;padding-right:38px;position:relative}#highlight-span{cursor:pointer;padding-right:38px}.comment_submit{position:relative;left:70%;top:0;margin:6px;border:none;background:#b7b1b1;padding:6px;border-radius:6px}textarea:focus{outline:none}.material-icons{margin-top:2px;border-radius:2px}.material-icons:hover{background:#aca6a6;border-radius:2px}.dropdown-content{border-radius:4px;position:absolute;background-color:#6b6666;color:#ebebeb;min-width:125px;box-shadow:0 8px 16px #0003;z-index:4;top:100%;right:0;padding:0;margin:5px 15px 0 0;display:flex;flex-direction:column;font-weight:400;font-size:16px;font-stretch:normal;letter-spacing:normal}.dropdown-content li{list-style-type:none;padding:0 0 0 10px;text-align:center;flex:1;display:flex;justify-content:left;align-items:center;line-height:35px}\n"] }]
        }], ctorParameters: () => [{ type: i1$1.Router }, { type: i1$1.ActivatedRoute }, { type: i0.ViewContainerRef }, { type: i0.ElementRef }], propDecorators: { pdfSrc: [{
                type: Input,
                args: [{ required: true }]
            }], documentTitle: [{
                type: Input
            }], documentClassification: [{
                type: Input
            }], documentAuthor: [{
                type: Input
            }], minimalView: [{
                type: Input
            }], pdfComponent: [{
                type: ViewChild,
                args: [PdfViewerComponent]
            }], activeNav: [{
                type: Input
            }], closePane: [{
                type: Output
            }], activeNavChange: [{
                type: Output
            }] } });

/*
 * Public API Surface of mo-pdf-viewer
 */

/**
 * Generated bundle index. Do not edit.
 */

export { MoPdfViewerComponent };
//# sourceMappingURL=modusoperandi-pdf-viewer.mjs.map
